﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GettingStarted.aspx.cs" Inherits="PivotFieldList.GettingStarted" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/default-theme/ej.web.all.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/jquery.linq.js"></script>
    <script src="Scripts/pivotgrid.datasource.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
</head>
<body>
   <form id="form1" runat="server">
         <ej:PivotGrid ID="PivotGrid1" Url="" runat="server" ClientIDMode="Static">
        <DataSource>
            <Rows>
                <ej:Field FieldName="Country" FieldCaption="Country"></ej:Field>
                <ej:Field FieldName="State" FieldCaption="State"></ej:Field>
            </Rows>
            <Columns>
                <ej:Field FieldName="Product" FieldCaption="Product"></ej:Field>
            </Columns>
            <Values>
                <ej:Field FieldName="Amount" FieldCaption="Amount" Format="currency"></ej:Field>
                <ej:Field FieldName="Quantity" FieldCaption="Quantity" Format="decimal"></ej:Field>
            </Values>
            <Filters>
                <ej:Field FieldName="Date" FieldCaption="Date"></ej:Field>
            </Filters>
        </DataSource>
        <ClientSideEvents Load="onLoad" RenderSuccess="loadschemadesigner" />
    </ej:PivotGrid>
   <ej:PivotSchemaDesigner ID="PivotSchemaDesigner1"  runat="server">
    </ej:PivotSchemaDesigner>

         <script type="text/javascript">
             function onLoad(args) {
                 args.model.dataSource.data = pivot_dataset;
             }
             function loadschemadesigner(args) {
                 $("#PivotSchemaDesigner1").ejPivotSchemaDesigner({ pivotControl: this, layout: ej.PivotSchemaDesigner.Layouts.Excel });
                 args.model.renderComplete = null;
             }
     </script>

<style type="text/css">
        #PivotGrid1 {
            height: 350px; 
            width: 55%; 
            overflow: auto;
            float:left;
        }
        .e-pivotschemadesigner{
		width: 40% !important; 
        min-width:230px;
		}
    </style>
    </form>
</body>
</html>
